#include <tchar.h>
#include <windows.h>
#include <gdiplus.h>

using namespace Gdiplus;

#include "contentplug.h"

const int FIELD_COUNT = 3;

// Field names
TCHAR* fieldNames[FIELD_COUNT] = 
{
	TEXT("Width"), TEXT("Height"), TEXT("Dimensions")
};

// The fieldtypes array is used to simplify fieldtype returning
int fieldTypes [FIELD_COUNT] = 
{
	ft_numeric_32, ft_numeric_32, ft_string
};

// Field indexes
enum fieldIndexes {fiWidth, fiHeight, fiDimensions};

// Generic content plugin functions (for ANSI and Unicode support
void contentSetDefaultParams(ContentDefaultParamStruct* dps);
int contentGetSupportedField(int fieldIndex, TCHAR* fieldName, TCHAR* units, int maxlen);
int getValue(TCHAR* fileName,int totalFieldIndex,int unitIndex, void* fieldValue,int maxlen,int flags);

// Helper functions
BOOL compareBitmaps (TCHAR* fileName1, TCHAR* fileName2);

// Global variables
HMODULE hinstDLL = NULL;
ULONG_PTR gdiplusToken = 0;